
class VEXON_CLIENT;

struct VEXON_DB
{
	MYSQL mysql;

};

VEXON_DB *db_connect();

char *db_clean_string(VEXON_DB *db, char *string);

void db_close(VEXON_DB *p);
void db_query(VEXON_DB *db, const char *format, ...);

void db_register_stratum(VEXON_DB *db);
void db_update_algos(VEXON_DB *db);
void db_update_coinds(VEXON_DB *db);
void db_update_remotes(VEXON_DB *db);

//int db_find_user(VEXON_DB *db, VEXON_CLIENT *client);
void db_add_user(VEXON_DB *db, VEXON_CLIENT *client);

void db_add_worker(VEXON_DB *db, VEXON_CLIENT *client);
void db_clear_worker(VEXON_DB *db, VEXON_CLIENT *client);
void db_update_worker(VEXON_DB *db, VEXON_CLIENT *client);
void db_update_workers(VEXON_DB *db);

void db_init_user_coinid(VEXON_DB *db, VEXON_CLIENT *client);

void db_store_stats(VEXON_DB *db, VEXON_CLIENT *client, json_value *stats);

void db_update_renters(VEXON_DB *db);

